Get Access to All Templates €49.- Join Today!

Arrow up
Arrow down

Need More Help?

We Are Here To Help You

Account
Please wait, authorizing ...
×
×
Forum Access (04 Jul 2019)

These forums are READ-ONLY for Guests, and only WebKomp club members can post. If you are not a member, please look at joining one of our clubs to get access to this forum.

file Fatal error: require_once(): Failed opening required

More
2 years 4 months ago #2398 by Frank Collins
Using jm_finance template, and recently upgraded to Joomla 3.8.0, using PHP 5.6.31. Now getting following error when some users are trying to access pages they don't have permissions to access:

Fatal error: require_once(): Failed opening required 'public_html/libraries/joomla/document/html/renderer/head.php' (include_path='.:/opt/alt/php56/usr/share/pear:/opt/alt/php56/usr/share/php') in /public_html/templates/jm_finance/error.php on line 27.

Line 27 in mentioned "error.php" says:

require_once(JPATH_LIBRARIES.'/joomla/document/html/renderer/head.php')

Is this being caused by an incompatibility or configuration problem with jm_finance template?

How can I fix this?

Please Log in to join the conversation.

More
2 years 4 months ago - 2 years 4 months ago #2399 by __Mike__
Hello,


Could you share your URL?

Before updating Joomla! you should follow below steps
1. Full Backup your site including database You can use e.g Akeeba Backup
2. Update Page Builder to the latest version (2.5.3, If page builder is installed in your site.)
3. Update other third-party extensions Go to Extensions/Manage/Update
4. Then update your site to Joomla 3.8



WebKomp, Support

- Please search forums before posting.
- Chrome DevTools is the most powerful web development and debugging tool, and it will save you a lot of time, frustration and forum questions.
- If a thread is solved please edit your original / first post and place "[SOLVED]".

Last edit: 2 years 4 months ago by __Mike__.

Please Log in to join the conversation.

More
2 years 4 months ago #2400 by Frank Collins
1) I did backup my site before upgrading to Joomla 3.8.0.
2) I don't have Page Builder installed.
3) All my other extensions are updated.
4) I had already installed the "plg_system_helix_j3_v2.5.zip" that I downloaded on 07/14/2017.

However, the behavior is also occurring with protostar and beez3 templates, so it's probably something besides the JM_Finance template.

Please Log in to join the conversation.

Why Choose WebKomp?

With all the Joomla template providers out there, why choose us?  Here are many reasons why a WebKomp template would be a good fit for your website:

  • 42+ Templates
  • We offer a 14-day money-back guarantee
  • Nice Designs - We take pride in our work and we always looking ways to improve the next template release.
  • Affordable - Our prices are low.
  • Free Support - Need help? Just contact us
  • No Backlink Required - You can shut it off in the template's admin panel.
  • Nice Framework - WebKomp templates are powered by Warp, Helix, T3, Gantry5 intuitive, wonderful  fast, lightweight, and feature-packed frameworks.
  • Easy to Customize - The admin panel provides many useful options that can be easily tweaked from the backend, easily, change fonts, colors, presets and more.
  • Our templates are based on the open Warp 7 , Helix, T3 and Gantry 5 Framework - Refer to the official Warp documentation, T3 Framework , Helix3/Ultimate, Gantry 5 for comprehensive info about how to use and expand the frameworks.
  • Sample Data Available - Quickstart Package allow you install in few clicks Joomla template, Joomla extensions and Demo data, in final you get full Joomla website exactly the same like on demo.
  • Mobile Friendly - All templates on this site are now responsive, meaning they automatically adjust to any screen resolution.  
  • The Single Template(12 Months Membership) is dedicated to all customer that need only one Template for their business or private project.